#
# spec file for package xstdcmap
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xstdcmap
Version:        1.0.5
Release:        1.8
Summary:        Utility to define standard colormap properties
License:        MIT
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6

%description
The xstdcmap utility can be used to selectively define standard colormap
properties. It is intended to be run from a user's X startup script to
create standard colormap definitions in order to facilitate sharing of
scarce colormap resources among clients using PseudoColor visuals.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README.md
%{_bindir}/xstdcmap
%{_mandir}/man1/xstdcmap.1%{?ext_man}

%changelog
* Sun Dec  4 2022 Dirk Müller <dmueller@suse.com>
- update to 1.0.5:
  * Remove unneeded variable initializations
  * Remove unnecessary cast of XFree() argument
  * Use C99 loop variable declarations
  * Build xz tarballs instead of bzip2
* Thu Feb 21 2019 sndirsch@suse.com
- Update to version 1.0.4
  * This release delivers some minor cleanups and janitorial
    maintenance.
* Mon Feb 25 2013 zaitor@opensuse.org
- Update to version 1.0.3:
  + Constify some char * to fix gcc warnings.
  + Combine usage message into single string.
  + Add -version option.
  + Replace sprintf with snprintf.
  + -help should not fail if display cannot be opened.
  + Mark Exit() & usage() with _X_NORETURN, cleanup previous
    workarounds.
  + config:
  - Add missing AC_CONFIG_SRCDIR.
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  - Move man pages into their own directory.
    man: remove trailing spaces and tabs.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xstdcmap from xorg-x11. Initial version: 1.0.2.
